#ifndef EDITORWINDOW_H
#define EDITORWINDOW_H

#include <QMainWindow>
#include "syntaxhighlighter.h"

namespace Ui
{
    class EditorWindow;
}

class EditorWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit EditorWindow(QWidget *parent = 0);
    ~EditorWindow();

    bool changedAnything;
    QFile* openedFile;
    void openFile();
    void saveFile();
    bool changesToSave() const;

private:
    Ui::EditorWindow* ui;
    SyntaxHighlighter* sh;
};

#endif // EDITORWINDOW_H
